package com.neko.domain.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 好友请求表
 * @TableName friend_request
 */
@TableName(value ="friend_request")
@Data
public class FriendRequest implements Serializable {
    /**
     * 请求id
     */
    @TableId
    private String id;

    /**
     * 发送者id
     */
    private String senderId;

    /**
     * 接收者id
     */
    private String receiverId;

    /**
     * 请求消息
     */
    private String message;

    /**
     * 状态（0待处理 1已同意 2已拒绝 3一户罗）
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 处理时间
     */
    private Date handledTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
